<?xml version="1.0" encoding="utf-8"?>
<kb_layouts>
  <group name="АБВ">
    <config name="7x6" cols="7" rows="6" id="1" />
    <config name="11x4" cols="11" rows="4" id="2" />
  </group>
  <group name="Т20">
    <config name="5x4" cols="5" rows="4" id="3" />
    <config name="7x3" cols="7" rows="3" id="4" />
  </group>
  <group name="QWE">
    <config name="QWE1" cols="11" rows="4" id="5" />
    <config name="QWE" cols="7" rows="6" id="6" />
  </group>
  <group name="RX">
    <config name="7x6" cols="7" rows="6" id="8" />
    <config name="11x4" cols="11" rows="4" id="7" />
  </group>
  <language name="Русский" short_name="Рус">
    <layout id="1" case="0">
      <row buttons="А|Б|В|Г|Д|Е|Ё|" />
      <row buttons="Ж|З|И|Й|К|Л|[bsp]|" />
      <row buttons="М|Н|О|П|Р|С|[lng]|" />
      <row buttons="Т|У|Ф|Х|Ц|Ч|[cas]|" />
      <row buttons="Ш|Щ|Ь|Ъ|Ы|Э|Ю|" />
      <row buttons="Я|.|-|(|)|[spc]|[spc]|" />
    </layout>
    <layout id="1" case="1">
      <row buttons="а|б|в|г|д|е|ё|" />
      <row buttons="ж|з|и|й|к|л|[bsp]|" />
      <row buttons="м|н|о|п|р|с|[lng]|" />
      <row buttons="т|у|ф|х|ц|ч|[cas]|" />
      <row buttons="ш|щ|ь|ъ|ы|э|ю|" />
      <row buttons="я|.|-|(|)|[spc]|[spc]|" />
    </layout>
    <layout id="3" case="0">
      <row buttons="АБ|ВГ|ДЕЁ|ЖЗ|[bsp]|" />
      <row buttons="ИЙ|КЛ|МН|ОП|[lng]|" />
      <row buttons="РС|ТУ|ФХ|ЦЧ|[cas]|" />
      <row buttons="ШЩ|ЬЪ|ЫЭ|ЮЯ|[spc]|" />
    </layout>
    <layout id="3" case="1">
      <row buttons="аб|вг|деё|жз|[bsp]|" />
      <row buttons="ий|кл|мн|оп|[lng]|" />
      <row buttons="рс|ту|фх|цч|[cas]|" />
      <row buttons="шщ|ьъ|ыэ|юя|[spc]|" />
    </layout>
    <layout id="2" case="0">
      <row buttons="А|Б|В|Г|Д|Е|Ё|Ж|З|И|[bsp]|" />
      <row buttons="Й|К|Л|М|Н|О|П|Р|С|Т|[lng]|" />
      <row buttons="У|Ф|Х|Ц|Ч|Ш|Щ|Ь|Ъ|Ы|[cas]|" />
      <row buttons="Э|Ю|Я|.|,|-|(|)|/|[spc]|[spc]|" />
    </layout>
    <layout id="2" case="1">
      <row buttons="а|б|в|г|д|е|ё|ж|з|и|[bsp]|" />
      <row buttons="й|к|л|м|н|о|п|р|с|т|[lng]|" />
      <row buttons="у|ф|х|ц|ч|ш|щ|ь|ъ|ы|[cas]|" />
      <row buttons="э|ю|я|.|,|-|(|)|/|[spc]|[spc]|" />
    </layout>
    <layout id="4" case="0">
      <row buttons="АБ|ВГ|ДЕЁ|ЖЗ|ИЙ|КЛ|[bsp]|" />
      <row buttons="МН|ОП|РС|ТУ|ФХ|ЦЧ|[lng]|" />
      <row buttons="ШЩ|ЬЪ|ЫЭ|ЮЯ|[spc]|[spc]|[cas]|" />
    </layout>
    <layout id="4" case="1">
      <row buttons="аб|вг|деё|жз|ий|кл|[bsp]|" />
      <row buttons="мн|оп|рс|ту|фх|цч|[lng]|" />
      <row buttons="шщ|ьъ|ыэ|юя|[spc]|[spc]|[cas]|" />
    </layout>
    <layout id="5" case="0">
      <row buttons="Й|Ц|У|К|Е|Н|Г|Ш|Щ|З|[bsp]|" />
      <row buttons="Х|Ъ|Ф|Ы|В|А|П|Р|О|Л|[lng]|" />
      <row buttons="Д|Ж|Э|Я|Ч|С|М|И|Т|Ь|[cas]|" />
      <row buttons="Б|Ю|Ё|.|,|-|(|)|/|[spc]|[spc]|" />
    </layout>
    <layout id="5" case="1">
      <row buttons="й|ц|у|к|е|н|г|ш|щ|з|[bsp]|" />
      <row buttons="х|ъ|ф|ы|в|а|п|р|о|л|[lng]|" />
      <row buttons="д|ж|э|я|ч|с|м|и|т|ь|[cas]|" />
      <row buttons="б|ю|ё|.|,|-|(|)|/|[spc]|[spc]|" />
    </layout>
    <layout id="6" case="0">
      <row buttons="Й|Ц|У|К|Е|Н|Г|" />
      <row buttons="Ш|Щ|З|Х|Ъ|Ф|[bsp]|" />
      <row buttons="Ы|В|А|П|Р|О|[lng]|" />
      <row buttons="Л|Д|Ж|Э|Я|Ч|[cas]|" />
      <row buttons="С|М|И|Т|Ь|Б|Ю|" />
      <row buttons="Ё|.|-|(|)|[spc]|[spc]|" />
    </layout>
    <layout id="6" case="1">
      <row buttons="й|ц|у|к|е|н|г|" />
      <row buttons="ш|щ|з|х|ъ|ф|[bsp]|" />
      <row buttons="ы|в|а|п|р|о|[lng]|" />
      <row buttons="л|д|ж|э|я|ч|[cas]|" />
      <row buttons="с|м|и|т|ь|б|ю|" />
      <row buttons="ё|.|-|(|)|[spc]|[spc]|" />
    </layout>
    <layout id="7" case="0">
      <row buttons="А|Б|В|Г|Д|Е|1Ё|Ж|З|И|[bsp]|" />
      <row buttons="2Й|К|Л|М|Н|О|П|Р|С|Т|[lng]|" />
      <row buttons="У|Ф|Х|Ц|Ч|Ш|Щ|3Ь|4Ъ|5Ы|[cas]|" />
      <row buttons="Э|Ю|Я|.|6,|7-|8(|9)|0/|[spc]|[spc]|" />
    </layout>
    <layout id="7" case="1">
      <row buttons="а|б|в|г|д|е|1ё|ж|з|и|[bsp]|" />
      <row buttons="2й|к|л|м|н|о|п|р|с|т|[lng]|" />
      <row buttons="у|ф|х|ц|ч|ш|щ|3ь|4ъ|5ы|[cas]|" />
      <row buttons="э|ю|я|.|6,|7-|8(|9)|0/|[spc]|[spc]|" />
    </layout>
    <layout id="8" case="0">
      <row buttons="А|Б|В|Г|Д|Е|1Ё|" />
      <row buttons="Ж|З|И|2Й|К|Л|[bsp]|" />
      <row buttons="М|Н|О|П|Р|С|[lng]|" />
      <row buttons="Т|У|Ф|Х|Ц|Ч|[cas]|" />
      <row buttons="Ш|Щ|3Ь|4Ъ|5Ы|Э|Ю|" />
      <row buttons="Я|6.|7-|8(|9)|0|[spc]|" />
    </layout>
    <layout id="8" case="1">
      <row buttons="а|б|в|г|д|е|1ё|" />
      <row buttons="ж|з|и|2й|к|л|[bsp]|" />
      <row buttons="м|н|о|п|р|с|[lng]|" />
      <row buttons="т|у|ф|х|ц|ч|[cas]|" />
      <row buttons="ш|щ|3ь|4ъ|5ы|э|ю|" />
      <row buttons="я|6.|7-|8(|9)|0|[spc]|" />
    </layout>
  </language>
  <language name="Цифры" short_name="123">
    <layout id="1" case="2">
      <row buttons="1|2|3|4|5|(|)|" />
      <row buttons="6|7|8|9|0|.|[bsp]|" />
      <row buttons=",|-|+|!|?|#|[lng]|" />
      <row buttons="$|%|^|&amp;|*|/|\\|" />
      <row buttons=";|:|'|&quot;|_|&lt;|&gt;|" />
      <row buttons="=|~|№|\||@|[spc]|[spc]|" />
    </layout>
    <layout id="3" case="2">
      <row buttons="12|34|56|78|[bsp]|" />
      <row buttons="90|.,|-+|()|[lng]|" />
      <row buttons="!?|#№$|%^|&amp;*|/\\\||" />
      <row buttons=";:|'&quot;|_~|[spc]|[spc]|" />
    </layout>
    <layout id="2" case="2">
      <row buttons="1|2|3|4|5|6|7|8|9|0|[bsp]|" />
      <row buttons=".|,|(|)|-|+|!|?|#|$|[lng]|" />
      <row buttons="%|^|&amp;|*|/|\\|;|:|'|&quot;|_|" />
      <row buttons="&lt;|&gt;|=|~|№|\||@|{|}|[spc]|[spc]|" />
    </layout>
    <layout id="4" case="2">
      <row buttons="12|34|56|78|90|.,|[bsp]|" />
      <row buttons="-+|()|!?|#№$|%^|&amp;*|[lng]|" />
      <row buttons="/\\\||;:|'&quot;|_~|[spc]|[spc]|&lt;&gt;=|" />
    </layout>
    <layout id="5" case="2">
      <row buttons="1|2|3|4|5|6|7|8|9|0|[bsp]|" />
      <row buttons=".|,|(|)|-|+|!|?|#|$|[lng]|" />
      <row buttons="%|^|&amp;|*|/|\\|;|:|'|&quot;|_|" />
      <row buttons="&lt;|&gt;|=|~|№|\||@|{|}|[spc]|[spc]|" />
    </layout>
    <layout id="6" case="2">
      <row buttons="1|2|3|4|5|(|)|" />
      <row buttons="6|7|8|9|0|.|[bsp]|" />
      <row buttons=",|-|+|!|?|#|[lng]|" />
      <row buttons="$|%|^|&amp;|*|/|\\|" />
      <row buttons=";|:|'|&quot;|_|&lt;|&gt;|" />
      <row buttons="=|~|№|\||@|[spc]|[spc]|" />
    </layout>
    <layout id="8" case="2">
      <row buttons="1|2|3|4|5|(|)|" />
      <row buttons="6|7|8|9|0|.|[bsp]|" />
      <row buttons=",|-|+|!|?|#|[lng]|" />
      <row buttons="$|%|^|&amp;|*|/|\\|" />
      <row buttons=";|:|'|&quot;|_|&lt;|&gt;|" />
      <row buttons="=|~|№|\||@|[spc]|[spc]|" />
    </layout>
    <layout id="7" case="2">
      <row buttons="1|2|3|4|5|6|7|8|9|0|[bsp]|" />
      <row buttons=".|,|(|)|-|+|!|?|#|$|[lng]|" />
      <row buttons="%|^|&amp;|*|/|\\|;|:|'|&quot;|_|" />
      <row buttons="&lt;|&gt;|=|~|№|\||@|{|}|[spc]|[spc]|" />
    </layout>
  </language>
  <language name="English" short_name="Eng">
    <layout id="1" case="0">
      <row buttons="A|B|C|D|E|F|G|" />
      <row buttons="H|I|J|K|L|M|[bsp]|" />
      <row buttons="N|O|P|Q|R|S|[lng]|" />
      <row buttons="T|U|V|W|X|Y|[cas]|" />
      <row buttons="Z|.|,|-|/|\\|;|" />
      <row buttons=":|!|?|(|)|[spc]|[spc]|" />
    </layout>
    <layout id="1" case="1">
      <row buttons="a|b|c|d|e|f|g|" />
      <row buttons="h|i|j|k|l|m|[bsp]|" />
      <row buttons="n|o|p|q|r|s|[lng]|" />
      <row buttons="t|u|v|w|x|y|[cas]|" />
      <row buttons="z|.|,|-|/|\\|;|" />
      <row buttons=":|!|?|(|)|[spc]|[spc]|" />
    </layout>
    <layout id="3" case="0">
      <row buttons="AB|CD|EF|GH|[bsp]|" />
      <row buttons="IJ|KL|MN|OP|[lng]|" />
      <row buttons="QR|ST|UV|WX|[cas]|" />
      <row buttons="YZ|.,|-/\\|[spc]|[spc]|" />
    </layout>
    <layout id="3" case="1">
      <row buttons="ab|cd|ef|gh|[bsp]|" />
      <row buttons="ij|kl|mn|op|[lng]|" />
      <row buttons="qr|st|uv|wx|[cas]|" />
      <row buttons="yz|.,|-/\\|[spc]|[spc]|" />
    </layout>
    <layout id="2" case="0">
      <row buttons="A|B|C|D|E|F|G|H|I|J|[bsp]|" />
      <row buttons="K|L|M|N|O|P|Q|R|S|T|[lng]|" />
      <row buttons="U|V|W|X|Y|Z|.|,|-|/|[cas]|" />
      <row buttons="\\|;|:|!|?|(|)|#|%|[spc]|[spc]|" />
    </layout>
    <layout id="2" case="1">
      <row buttons="a|b|c|d|e|f|g|h|i|j|[bsp]|" />
      <row buttons="k|l|m|n|o|p|q|r|s|t|[lng]|" />
      <row buttons="u|v|w|x|y|z|.|,|-|/|[cas]|" />
      <row buttons="\\|;|:|!|?|(|)|#|%|[spc]|[spc]|" />
    </layout>
    <layout id="4" case="0">
      <row buttons="AB|CD|EF|GH|IJ|KL|[bsp]|" />
      <row buttons="MN|OP|QR|ST|UV|WX|[lng]|" />
      <row buttons="YZ|.,|-/\\|()|[spc]|[spc]|[cas]|" />
    </layout>
    <layout id="4" case="1">
      <row buttons="ab|cd|ef|gh|ij|kl|[bsp]|" />
      <row buttons="mn|op|qr|st|uv|wx|[lng]|" />
      <row buttons="yz|.,|-/\\|()|[spc]|[spc]|[cas]|" />
    </layout>
    <layout id="5" case="0">
      <row buttons="Q|W|E|R|T|Y|U|I|O|P|[bsp]|" />
      <row buttons="A|S|D|F|G|H|J|K|L|Z|[lng]|" />
      <row buttons="X|C|V|B|N|M|.|,|-|/|[cas]|" />
      <row buttons="\\|;|:|!|?|(|)|#|%|[spc]|[spc]|" />
    </layout>
    <layout id="5" case="1">
      <row buttons="q|w|e|r|t|y|u|i|o|p|[bsp]|" />
      <row buttons="a|s|d|f|g|h|j|k|l|z|[lng]|" />
      <row buttons="x|c|v|b|n|m|.|,|-|/|[cas]|" />
      <row buttons="\\|;|:|!|?|(|)|#|%|[spc]|[spc]|" />
    </layout>
    <layout id="6" case="0">
      <row buttons="Q|W|E|R|T|Y|U|" />
      <row buttons="I|O|P|A|S|D|[bsp]|" />
      <row buttons="F|G|H|J|K|L|[lng]|" />
      <row buttons="Z|X|C|V|B|N|[cas]|" />
      <row buttons="M|.|,|-|/|\\|;|" />
      <row buttons=":|!|?|(|)|[spc]|[spc]|" />
    </layout>
    <layout id="6" case="1">
      <row buttons="q|w|e|r|t|y|u|" />
      <row buttons="i|o|p|a|s|d|[bsp]|" />
      <row buttons="f|g|h|j|k|l|[lng]|" />
      <row buttons="z|x|c|v|b|n|[cas]|" />
      <row buttons="m|.|,|-|/|\\|;|" />
      <row buttons=":|!|?|(|)|[spc]|[spc]|" />
    </layout>
    <layout id="7" case="0">
      <row buttons="A|B|C|D|E|F|G|H|I|J|[bsp]|" />
      <row buttons="K|L|M|N|O|P|Q|R|S|T|[lng]|" />
      <row buttons="U|V|W|X|Y|Z|.|,|-|1/|[cas]|" />
      <row buttons="2\\|3|4|5|6|7(|8)|9|0|[spc]|[spc]|" />
    </layout>
    <layout id="7" case="1">
      <row buttons="a|b|c|d|e|f|g|h|i|j|[bsp]|" />
      <row buttons="k|l|m|n|o|p|q|r|s|t|[lng]|" />
      <row buttons="u|v|w|x|y|z|.|,|-|1/|[cas]|" />
      <row buttons="2\\|3|4|5|6|7(|8)|9|0|[spc]|[spc]|" />
    </layout>
    <layout id="8" case="0">
      <row buttons="A|B|C|D|E|F|G|" />
      <row buttons="H|I|J|K|L|M|[bsp]|" />
      <row buttons="N|O|P|Q|R|S|[lng]|" />
      <row buttons="T|U|V|W|X|Y|[cas]|" />
      <row buttons="Z|.|1,|2-|3/|4\\|5|" />
      <row buttons="6|7|8|9(|0)|[spc]|[spc]|" />
    </layout>
    <layout id="8" case="1">
      <row buttons="a|b|c|d|e|f|g|" />
      <row buttons="h|i|j|k|l|m|[bsp]|" />
      <row buttons="n|o|p|q|r|s|[lng]|" />
      <row buttons="t|u|v|w|x|y|[cas]|" />
      <row buttons="z|.|1,|2-|3/|4\\|5|" />
      <row buttons="6|7|8|9(|0)|[spc]|[spc]|" />
    </layout>
  </language>
  <language name="Українська" short_name="Укр">
    <layout id="1" case="0">
      <row buttons="А|Б|В|Г|Д|Г|Ґ|" />
      <row buttons="Є|Ж|З|И|І|Ї|[bsp]|" />
      <row buttons="Й|К|Л|М|Н|О|[lng]|" />
      <row buttons="П|Р|С|Т|У|Ф|[cas]|" />
      <row buttons="Х|Ц|Ч|Ш|Щ|Ь|Ю|" />
      <row buttons="Я|.|-|(|)|[spc]|[spc]|" />
    </layout>
    <layout id="1" case="1">
      <row buttons="а|б|в|г|д|е|ґ|" />
      <row buttons="є|ж|з|и|і|ї|[bsp]|" />
      <row buttons="й|к|л|м|н|о|[lng]|" />
      <row buttons="п|р|с|т|у|ф|[cas]|" />
      <row buttons="х|ц|ч|ш|щ|ь|ю|" />
      <row buttons="я|.|-|(|)|[spc]|[spc]|" />
    </layout>
    <layout id="3" case="0">
      <row buttons="АБ|ВГҐ|ДЕЄ|ЖЗ|[bsp]|" />
      <row buttons="ИІЇЙ|КЛ|МН|ОП|[lng]|" />
      <row buttons="РС|ТУ|ФХ|ЦЧ|[cas]|" />
      <row buttons="ШЩ|Ь|ЮЯ|-|[spc]|" />
    </layout>
    <layout id="3" case="1">
      <row buttons="аб|вгґ|деє|жз|[bsp]|" />
      <row buttons="иіїй|кл|мн|оп|[lng]|" />
      <row buttons="рс|ту|фх|цч|[cas]|" />
      <row buttons="шщ|ь|юя|-|[spc]|" />
    </layout>
    <layout id="2" case="0">
      <row buttons="А|Б|В|Г|Ґ|Д|Е|Є|Ж|З|[bsp]|" />
      <row buttons="И|І|Ї|Й|К|Л|М|Н|О|П|[lng]|" />
      <row buttons="Р|С|Т|У|Ф|Х|Ц|Ч|Ш|Щ|[cas]|" />
      <row buttons="Ь|Ю|Я|.|,|-|(|)|/|[spc]|[spc]|" />
    </layout>
    <layout id="2" case="1">
      <row buttons="а|б|в|г|ґ|д|е|є|ж|з|[bsp]|" />
      <row buttons="и|і|ї|й|к|л|м|н|о|п|[lng]|" />
      <row buttons="р|с|т|у|ф|х|ц|ч|ш|щ|[cas]|" />
      <row buttons="ь|ю|я|.|,|-|(|)|/|[spc]|[spc]|" />
    </layout>
    <layout id="4" case="0">
      <row buttons="АБ|ВГҐ|ДЕЄ|ЖЗ|ИІЇЙ|КЛ|[bsp]|" />
      <row buttons="МН|ОП|РС|ТУ|ФХ|ЦЧ|[lng]|" />
      <row buttons="ШЩ|Ь|ЮЯ|-|[spc]|[spc]|[cas]|" />
    </layout>
    <layout id="4" case="1">
      <row buttons="аб|вгґ|деє|жз|иіїй|кл|[bsp]|" />
      <row buttons="мн|оп|рс|ту|фх|цч|[lng]|" />
      <row buttons="шщ|ь|юя|-|[spc]|[spc]|[cas]|" />
    </layout>
    <layout id="5" case="0">
      <row buttons="Й|Ц|У|К|Е|Н|Г|Ш|Щ|З|[bsp]|" />
      <row buttons="Х|Ї|Ф|І|В|А|П|Р|О|Л|[lng]|" />
      <row buttons="Д|Ж|Є|Я|Ч|С|М|И|Т|Ь|[cas]|" />
      <row buttons="Б|Ю|Ґ|.|,|-|(|)|/|[spc]|[spc]|" />
    </layout>
    <layout id="5" case="1">
      <row buttons="й|ц|у|к|е|н|г|ш|щ|з|[bsp]|" />
      <row buttons="х|ї|ф|і|в|а|п|р|о|л|[lng]|" />
      <row buttons="д|ж|є|я|ч|с|м|и|т|ь|[cas]|" />
      <row buttons="б|ю|ґ|.|,|-|(|)|/|[spc]|[spc]|" />
    </layout>
    <layout id="6" case="0">
      <row buttons="Й|Ц|У|К|Е|Н|Г|" />
      <row buttons="Ш|Щ|З|Х|Ї|Ф|[bsp]|" />
      <row buttons="І|В|А|П|Р|О|[lng]|" />
      <row buttons="Л|Д|Ж|Є|Я|Ч|[cas]|" />
      <row buttons="С|М|И|Т|Ь|Б|Ю|" />
      <row buttons="Ґ|.|-|(|)|[spc]|[spc]|" />
    </layout>
    <layout id="6" case="1">
      <row buttons="й|ц|у|к|е|н|г|" />
      <row buttons="ш|щ|з|х|ї|ф|[bsp]|" />
      <row buttons="і|в|а|п|р|о|[lng]|" />
      <row buttons="л|д|ж|э|я|ч|[cas]|" />
      <row buttons="с|м|и|т|ь|б|ю|" />
      <row buttons="ґ|.|-|(|)|[spc]|[spc]|" />
    </layout>
    <layout id="7" case="0">
      <row buttons="А|Б|В|Г|1Ґ|Д|Е|2Є|Ж|З|[bsp]|" />
      <row buttons="И|І|3Ї|4Й|К|Л|М|Н|О|П|[lng]|" />
      <row buttons="Р|С|Т|У|Ф|Х|Ц|Ч|Ш|Щ|[cas]|" />
      <row buttons="5Ь|Ю|Я|.|6,|7-|8(|9)|0/|[spc]|[spc]|" />
    </layout>
    <layout id="7" case="1">
      <row buttons="а|б|в|г|1ґ|д|е|2є|ж|з|[bsp]|" />
      <row buttons="и|і|3ї|4й|к|л|м|н|о|п|[lng]|" />
      <row buttons="р|с|т|у|ф|х|ц|ч|ш|щ|[cas]|" />
      <row buttons="5ь|ю|я|.|6,|7-|8(|9)|0/|[spc]|[spc]|" />
    </layout>
    <layout id="8" case="0">
      <row buttons="А|Б|В|Г|Д|Г|1Ґ|" />
      <row buttons="2Є|Ж|З|И|І|3Ї|[bsp]|" />
      <row buttons="4Й|К|Л|М|Н|О|[lng]|" />
      <row buttons="П|Р|С|Т|У|Ф|[cas]|" />
      <row buttons="Х|Ц|Ч|Ш|Щ|5Ь|Ю|" />
      <row buttons="Я|6.|7-|8(|9)|0|[spc]|" />
    </layout>
    <layout id="8" case="1">
      <row buttons="а|б|в|г|д|е|1ґ|" />
      <row buttons="2є|ж|з|и|і|3ї|[bsp]|" />
      <row buttons="4й|к|л|м|н|о|[lng]|" />
      <row buttons="п|р|с|т|у|ф|[cas]|" />
      <row buttons="х|ц|ч|ш|щ|5ь|ю|" />
      <row buttons="я|6.|7-|8(|9)|0|[spc]|" />
    </layout>
  </language>
  <language name="Беларуская" short_name="Бел">
    <layout id="1" case="0">
      <row buttons="А|Б|В|Г|Д|Е|Ё|" />
      <row buttons="Ж|З|І|Й|К|Л|[bsp]|" />
      <row buttons="М|Н|О|П|Р|С|[lng]|" />
      <row buttons="Т|У|Ў|Ф|Х|Ц|[cas]|" />
      <row buttons="Ч|Ш|Ы|Ь|Э|Ю|Я|" />
      <row buttons="'|.|-|(|)|[spc]|[spc]|" />
    </layout>
    <layout id="1" case="1">
      <row buttons="а|б|в|г|д|е|ё|" />
      <row buttons="ж|з|і|й|к|л|[bsp]|" />
      <row buttons="м|н|о|п|р|с|[lng]|" />
      <row buttons="т|у|ў|ф|х|ц|[cas]|" />
      <row buttons="ч|ш|ы|ь|э|ю|я|" />
      <row buttons="'|.|-|(|)|[spc]|[spc]|" />
    </layout>
    <layout id="3" case="0">
      <row buttons="АБ|ВГ|ДЕЁ|ЖЗ|[bsp]|" />
      <row buttons="ІЙ|КЛ|МН|ОП|[lng]|" />
      <row buttons="РС|ТУЎ|ФХ|ЦЧ|[cas]|" />
      <row buttons="ШЫ|ЬЭ|ЮЯ|'|[spc]|" />
    </layout>
    <layout id="3" case="1">
      <row buttons="аб|вг|деё|жз|[bsp]|" />
      <row buttons="ій|кл|мн|оп|[lng]|" />
      <row buttons="рс|туў|фх|цч|[cas]|" />
      <row buttons="шы|ьэ|юя|'|[spc]|" />
    </layout>
    <layout id="2" case="0">
      <row buttons="А|Б|В|Г|Д|Е|Ё|Ж|З|І|[bsp]|" />
      <row buttons="Й|К|Л|М|Н|О|П|Р|С|Т|[lng]|" />
      <row buttons="У|Ў|Ф|Х|Ц|Ч|Ш|Ы|Ь|Э|[cas]|" />
      <row buttons="Ю|Я|'|.|,|-|(|)|/|[spc]|[spc]|" />
    </layout>
    <layout id="2" case="1">
      <row buttons="а|б|в|г|д|е|ё|ж|з|і|[bsp]|" />
      <row buttons="й|к|л|м|н|о|п|р|с|т|[lng]|" />
      <row buttons="у|ў|ф|х|ц|ч|ш|ы|ь|э|[cas]|" />
      <row buttons="ю|я|'|.|,|-|(|)|/|[spc]|[spc]|" />
    </layout>
    <layout id="4" case="0">
      <row buttons="АБ|ВГ|ДЕЁ|ЖЗ|ІЙ|КЛ|[bsp]|" />
      <row buttons="МН|ОП|РС|ТУЎ|ФХ|ЦЧ|[lng]|" />
      <row buttons="ШЫ|ЬЭ|ЮЯ|'|[spc]|[spc]|[cas]|" />
    </layout>
    <layout id="4" case="1">
      <row buttons="аб|вг|деё|жз|ій|кл|[bsp]|" />
      <row buttons="мн|оп|рс|туў|фх|цч|[lng]|" />
      <row buttons="шы|ьэ|юя|'|[spc]|[spc]|[cas]|" />
    </layout>
    <layout id="5" case="0">
      <row buttons="Й|Ц|У|К|Е|Н|Г|Ш|Ў|З|[bsp]|" />
      <row buttons="Х|'|Ф|Ы|В|А|П|Р|О|Л|[lng]|" />
      <row buttons="Д|Ж|Э|Я|Ч|С|М|І|Т|Ь|[cas]|" />
      <row buttons="Б|Ю|Ё|.|,|-|(|)|/|[spc]|[spc]|" />
    </layout>
    <layout id="5" case="1">
      <row buttons="й|ц|у|к|е|н|г|ш|ў|з|[bsp]|" />
      <row buttons="х|'|ф|ы|в|а|п|р|о|л|[lng]|" />
      <row buttons="д|ж|э|я|ч|с|м|і|т|ь|[cas]|" />
      <row buttons="б|ю|ё|.|,|-|(|)|/|[spc]|[spc]|" />
    </layout>
    <layout id="6" case="0">
      <row buttons="Й|Ц|У|К|Е|Н|Г|" />
      <row buttons="Ш|Ў|З|Х|'|Ф|[bsp]|" />
      <row buttons="Ы|В|А|П|Р|О|[lng]|" />
      <row buttons="Л|Д|Ж|Э|Я|Ч|[cas]|" />
      <row buttons="С|М|І|Т|Ь|Б|Ю|" />
      <row buttons="Ё|.|-|(|)|[spc]|[spc]|" />
    </layout>
    <layout id="6" case="1">
      <row buttons="й|ц|у|к|е|н|г|" />
      <row buttons="ш|ў|з|х|'|ф|[bsp]|" />
      <row buttons="ы|в|а|п|р|о|[lng]|" />
      <row buttons="л|д|ж|э|я|ч|[cas]|" />
      <row buttons="с|м|і|т|ь|б|ю|" />
      <row buttons="ё|.|-|(|)|[spc]|[spc]|" />
    </layout>
    <layout id="7" case="0">
      <row buttons="А|Б|В|Г|Д|Е|1Ё|Ж|З|І|[bsp]|" />
      <row buttons="2Й|К|Л|М|Н|О|П|Р|С|Т|[lng]|" />
      <row buttons="У|3Ў|Ф|Х|Ц|Ч|Ш|4Ы|5Ь|Э|[cas]|" />
      <row buttons="Ю|Я|6|.|7,|8-|9(|0)|/|[spc]|[spc]|" />
    </layout>
    <layout id="7" case="1">
      <row buttons="а|б|в|г|д|е|1ё|ж|з|і|[bsp]|" />
      <row buttons="2й|к|л|м|н|о|п|р|с|т|[lng]|" />
      <row buttons="у|3ў|ф|х|ц|ч|ш|4ы|5ь|э|[cas]|" />
      <row buttons="ю|я|6|.|7,|8-|9(|0)|/|[spc]|[spc]|" />
    </layout>
    <layout id="8" case="0">
      <row buttons="А|Б|В|Г|Д|Е|1Ё|" />
      <row buttons="Ж|З|І|2Й|К|Л|[bsp]|" />
      <row buttons="М|Н|О|П|Р|С|[lng]|" />
      <row buttons="Т|У|3Ў|Ф|Х|Ц|[cas]|" />
      <row buttons="Ч|Ш|4Ы|5Ь|Э|Ю|Я|" />
      <row buttons="6|7.|8-|9(|0)|[spc]|[spc]|" />
    </layout>
    <layout id="8" case="1">
      <row buttons="а|б|в|г|д|е|1ё|" />
      <row buttons="ж|з|і|2й|к|л|[bsp]|" />
      <row buttons="м|н|о|п|р|с|[lng]|" />
      <row buttons="т|у|3ў|ф|х|ц|[cas]|" />
      <row buttons="ч|ш|4ы|5ь|э|ю|я|" />
      <row buttons="6'|7.|8-|9(|0)|[spc]|[spc]|" />
    </layout>
  </language>
</kb_layouts>